.\" Copyright (c) 1999 Free Software Foundation, Inc.
.\" See section COPYING for conditions for redistribution
.TH mkdb 8 "January 2000" "GNATS @VERSION@" "GNATS Admininstration Utilities"
.de BP
.sp
.ti -.2i
\(**
..
.SH NAME
mkdb \- create a new GNATS database
.SH SYNOPSIS
.hy 0
.na
.TP
.B mkdb \fBdirectory\fR
.ad b
.hy 1
.SH DESCRIPTION
Creates a new database in \fBdirectory\fR.  \fBdirectory\fR must not currently
exist; it will be created by \fBmkdb\fR, and will be populated with a set of
default files copied from the @PREFIX@/share/gnats/defaults directory. 
.P
The command should be run as @GNATS_USER@.
.SH OPTIONS
.TP
.B directory
Specifies the pathname of the database to be created.
.br
An entry in
@PREFIX@/share/gnats/databases will \fBnot\fR be created for the new
database, and you will need to add one manually.  (A sample entry for
the \fIdefault\fR database is present in the file.)
.SH "SEE ALSO"
.I Keeping Track: Managing Messages With GNATS
(also installed as the GNU Info file
.BR gnats.info )
and
.I Reporting Problems Using send-pr
(also installed as the GNU Info file
.BR send-pr.info ).
.LP
.BR gnats (7),
.BR send-pr (1),
.BR edit-pr (1),
.BR query-pr (1),
.BR delete-pr (8),
.BR file-pr (8),
.BR queue-pr (8),
.BR rmcat (8),
.BR gen-index (8),
.BR mkcat (8).
.SH COPYING
Copyright (c) 2000 Free Software Foundation, Inc.
.PP
Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
are preserved on all copies.
.PP
Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.
.PP
Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be included in
translations approved by the Free Software Foundation instead of in
the original English.
